# Test files for dobj
test_sources = [
    'probeTest.cpp',
]

foreach test_file : test_sources
  exe_name = test_file.split('.')[0]
  message('Building test: ' + exe_name)

  # Create an executable target for each test
  test_exe = executable(
      exe_name,
      test_file,
      dependencies: [gtest_dep, probe_dep, mfem_dep, quill_dep],
      install_rpath: '@loader_path/../../src'  # Ensure runtime library path resolves correctly
  )

  # Add the executable as a test
  test(exe_name, test_exe)
endforeach
